Zen Cart 各版本语言包选择说明

Zen Cart 各版本语言包选择说明

Zen Cart 除了英文的语言以外,其他的如中文、法语、德语等语言包若没有对应的语言包可选,这时候怎么办呢?

通常 Zen Cart 各版本的语言包大体结构相似,只是大版本的更新会造成更多的语言文件缺失,如果碰到你安装 Zen Cart 版本无法找到对应的该语种语言包时,你可以选择版本相近的语言包来安装,比如你安装的是 Zen Cart 1.5.3 版本,这时候要安装简体中文语言包,发现没有对应的 1.5.3 的版本,这时可以选择1.5.x相近的,如1.5.4的或1.5.1的,通过对比替换来支援你的 1.5.3 版本。

Zen Cart 的版本号,如1.3.9h,1.3为主版本号,当功能模块有较大的变动,比如增加模块或是整体架构发生变化。此版本号由项目决定是否修改。9为次版本号,相对于主版本号而言,次版本号的升级对应的只是局部的变动,但该局部的变动造成程序和以前版本不能兼容,或者对该程序以前的协作关系产生了破坏,或者是功能上有大的改进或增强。此版本号由项目决定是否修改。h为修订版本号,一般是Bug的修复或是一些小的变动或是一些功能的扩充,要经常发布修订版,修复一个严重Bug 即可发布一个修订版。

通过以上的版本号说明,我们就可以发现只要主版本号一致的话,那么他的语言包兼容性就越好,如: Zen Cart 1.5.x 的版本可以选择 1.5.0、1.5.1、1.5.3、1.5.4、1.5.5 的语言包来安装,当然根据次版本号比较相近的来选择,就更完美了。那么对于跨版本的,比如某语言只有1.3.9h的语言包,要安装在1.5.5d的版本上,可以通过与 Zen Cart 的英文语言文件对比来添加修改来,这样子比重新做一份语言包更有效率些。

本站发布共享的 Zen Cart 语言包从1.3.9h版本开始,1.3.9h以下的年份太久,基本上很少使用了,故不再发布。

发表评论

您必须登录才能发表评论!